Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Object

Use a to store the of a multicast group you want to join or drop. Use the method with the following parameters to join a multicast group.

Parameter

Value

socketOptionLevel

socketOptionName

object

Use to drop a multicast group.

Contains values used to join and drop multicast groups.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  is .

  For machines with multiple network cards, do not use this constructor. Use the constructor that takes a group and a local IP address.

  Initializes a new version of the class for the specified IP multicast group.

  The of the multicast group.
  0
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified IP multicast group address and interface index.

  The of the multicast group.
  The index of the interface that is used to send and receive multicast packets.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  or is .

  For machines with multiple network cards, you must use this constructor to create instances.

  Initializes a new instance of the class with the specified IP multicast group address and local IP address associated with a network interface.

  The group .
  The local .
  0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.IPAddress

  An instance of containing the IP address of a multicast group.

  Valid IP addresses for multicast packets are in the range 224.0.0.0 to 239.255.255.255.

  Gets or sets the IP address of a multicast group.

  0
- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets or sets the index of the interface that is used to send and receive multicast packets.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.IPAddress

  An instance of containing the local IP address.

  The property contains the IP address of the interface associated with the multicast group membership. If is set to , the default interface is used.

  Gets or sets the local address associated with a multicast group.

  0
0